{
    "$graph": [
        {
            "label": "Extract Assembly Information II",
            "class": "CommandLineTool",
            "baseCommand": "gc_asm_xml_description",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#gc_asm_xml_description.cwl/asnfile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "assembly.report.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_asm_xml_description.cwl/outfile"
                }
            ],
            "id": "#gc_asm_xml_description.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_asm_xml_description.cwl/stats_report"
                }
            ]
        },
        {
            "label": "Create Assembly From Sequences",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gc_create",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gc_create.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-gc-assm-name"
                    },
                    "id": "#gc_create.cwl/gc_assm_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "gencoll.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_create.cwl/outfile"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unplaced"
                    },
                    "id": "#gc_create.cwl/unplaced"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_create.cwl/gencoll_asn"
                }
            ],
            "id": "#gc_create.cwl"
        },
        {
            "label": "Extract Assembly Information I",
            "class": "CommandLineTool",
            "baseCommand": "gc_get_molecules",
            "arguments": [
                "-level",
                "top-level"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#gc_get_molecules.cwl/filter"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#gc_get_molecules.cwl/gc_assembly"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_get_molecules.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_get_molecules.cwl/seqid_list"
                }
            ],
            "id": "#gc_get_molecules.cwl"
        },
        {
            "label": "Create Genomic Collection for Bacterial Pipeline, ASN.1 input",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/entries"
                },
                {
                    "type": "string",
                    "id": "#main/gc_assm_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/seq_submit"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#main/Cache_Seq_entries/asn_cache",
                    "id": "#main/asncache"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Create_Assembly_From_Sequences/gencoll_asn",
                    "id": "#main/gencoll_asn"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Cache_Seq_entries/oseq_ids",
                    "id": "#main/ids_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_Assembly_Information/seqid_list",
                    "id": "#main/seqid_list"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_Assembly_Information_XML/stats_report",
                    "id": "#main/stats_report"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Prepare_Seq_entries/submit_block",
                    "id": "#main/submit_block_template"
                }
            ],
            "steps": [
                {
                    "run": "#prime_cache.cwl",
                    "in": [
                        {
                            "default": "asn-seq-entry",
                            "id": "#main/Cache_Seq_entries/ifmt"
                        },
                        {
                            "source": "#main/Prepare_Seq_entries/output_entries",
                            "id": "#main/Cache_Seq_entries/input"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Cache_Seq_entries/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/Cache_Seq_entries/oseq_ids",
                        "#main/Cache_Seq_entries/asn_cache"
                    ],
                    "id": "#main/Cache_Seq_entries"
                },
                {
                    "run": "#gc_create.cwl",
                    "in": [
                        {
                            "source": "#main/Cache_Seq_entries/asn_cache",
                            "id": "#main/Create_Assembly_From_Sequences/asn_cache"
                        },
                        {
                            "source": "#main/gc_assm_name",
                            "id": "#main/Create_Assembly_From_Sequences/gc_assm_name"
                        },
                        {
                            "source": "#main/Cache_Seq_entries/oseq_ids",
                            "id": "#main/Create_Assembly_From_Sequences/unplaced"
                        }
                    ],
                    "out": [
                        "#main/Create_Assembly_From_Sequences/gencoll_asn"
                    ],
                    "id": "#main/Create_Assembly_From_Sequences"
                },
                {
                    "run": "#gc_get_molecules.cwl",
                    "in": [
                        {
                            "default": "reference-no-organelle",
                            "id": "#main/Extract_Assembly_Information/filter"
                        },
                        {
                            "source": "#main/Create_Assembly_From_Sequences/gencoll_asn",
                            "id": "#main/Extract_Assembly_Information/gc_assembly"
                        },
                        {
                            "default": "ref_no_organelle.gi",
                            "id": "#main/Extract_Assembly_Information/outfile"
                        }
                    ],
                    "out": [
                        "#main/Extract_Assembly_Information/seqid_list"
                    ],
                    "id": "#main/Extract_Assembly_Information"
                },
                {
                    "run": "#gc_asm_xml_description.cwl",
                    "in": [
                        {
                            "source": "#main/Create_Assembly_From_Sequences/gencoll_asn",
                            "id": "#main/Extract_Assembly_Information_XML/asnfile"
                        }
                    ],
                    "out": [
                        "#main/Extract_Assembly_Information_XML/stats_report"
                    ],
                    "id": "#main/Extract_Assembly_Information_XML"
                },
                {
                    "run": "#prepare_seq_entry_input.cwl",
                    "in": [
                        {
                            "source": "#main/entries",
                            "id": "#main/Prepare_Seq_entries/entries"
                        },
                        {
                            "source": "#main/seq_submit",
                            "id": "#main/Prepare_Seq_entries/seq_submit"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Seq_entries/order",
                        "#main/Prepare_Seq_entries/submit_block",
                        "#main/Prepare_Seq_entries/output_entries"
                    ],
                    "id": "#main/Prepare_Seq_entries"
                }
            ],
            "id": "#main"
        },
        {
            "label": "prepare_seq_entry_input",
            "doc": "",
            "class": "CommandLineTool",
            "baseCommand": "prepare_seq_entry_input",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#prepare_seq_entry_input.cwl/entries"
                },
                {
                    "type": "string",
                    "default": "/dev/null",
                    "inputBinding": {
                        "prefix": "-ifmt",
                        "valueFrom": "${ if( inputs.seq_submit != null ) {return 'seq-submit'; } else { return 'seq-entry'; } }"
                    },
                    "id": "#prepare_seq_entry_input.cwl/ifmt"
                },
                {
                    "type": "string",
                    "default": "/dev/null",
                    "inputBinding": {
                        "prefix": "-input",
                        "valueFrom": "${ if( inputs.seq_submit != null ) { return  inputs.seq_submit.path; } else { return inputs.entries.path;  } }"
                    },
                    "id": "#prepare_seq_entry_input.cwl/input"
                },
                {
                    "type": "string",
                    "default": "order.seqids",
                    "inputBinding": {
                        "prefix": "-order"
                    },
                    "id": "#prepare_seq_entry_input.cwl/order_name"
                },
                {
                    "type": "string",
                    "default": "entries.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#prepare_seq_entry_input.cwl/output_entries_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-pathogen-mode"
                    },
                    "id": "#prepare_seq_entry_input.cwl/pathogen_mode"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#prepare_seq_entry_input.cwl/seq_submit"
                },
                {
                    "type": "string",
                    "default": "submit_block_template.asn",
                    "inputBinding": {
                        "prefix": "-submit-block"
                    },
                    "id": "#prepare_seq_entry_input.cwl/submit_block_name"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#prepare_seq_entry_input.cwl/t"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.order_name )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/order"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.output_entries_name  )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/output_entries"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.submit_block_name  )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/submit_block"
                }
            ],
            "id": "#prepare_seq_entry_input.cwl"
        },
        {
            "label": "prime_cache",
            "class": "CommandLineTool",
            "baseCommand": "prime_cache",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-biosource"
                    },
                    "id": "#prime_cache.cwl/biosource"
                },
                {
                    "type": "string",
                    "default": "sequence_cache",
                    "inputBinding": {
                        "prefix": "-cache"
                    },
                    "id": "#prime_cache.cwl/cache_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fasta",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#prime_cache.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prime_cache.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-inst-mol"
                    },
                    "id": "#prime_cache.cwl/inst_mol"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-molinfo"
                    },
                    "id": "#prime_cache.cwl/molinfo"
                },
                {
                    "type": "string",
                    "default": "oseq-ids.seqids",
                    "inputBinding": {
                        "prefix": "-oseq-ids"
                    },
                    "id": "#prime_cache.cwl/seq_ids_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#prime_cache.cwl/submit_block_template"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#prime_cache.cwl/taxid"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#prime_cache.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.cache_dir)"
                    },
                    "id": "#prime_cache.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.seq_ids_name)"
                    },
                    "id": "#prime_cache.cwl/oseq_ids"
                }
            ],
            "id": "#prime_cache.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
